summaryrefslogtreecommitdiffstats
path: root/java
diff options
context:
space:
mode:
Diffstat (limited to 'java')
-rw-r--r--java/javavmwrapper/src/javavmwrapper.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/java/javavmwrapper/src/javavmwrapper.sh b/java/javavmwrapper/src/javavmwrapper.sh
index 5507efe..d7a20ba 100644
--- a/java/javavmwrapper/src/javavmwrapper.sh
+++ b/java/javavmwrapper/src/javavmwrapper.sh
@@ -42,8 +42,9 @@ registerVM () {
/usr/bin/touch "${CONF}"
fi
- if [ ! -x "${1}" ]; then
- /bin/echo "${IAM}: warning: the specified JavaVM \"${1}\" either not exists of not executable" >&2
+ VM=`/bin/echo "${1}" | sed 's|#.*||'`
+ if [ ! -x ${VM} ]; then
+ /bin/echo "${IAM}: warning: the specified JavaVM \"${VM}\" either not exists of not executable" >&2
fi
/bin/ed "${CONF}" >/dev/null <<EOF
@@ -117,4 +118,4 @@ for JAVAVM in ${VMS}; do
done
echo "${IAM}: error: no suitable JavaVMs found" >&2
-exit 1 \ No newline at end of file
+exit 1
OpenPOWER on IntegriCloud